Name:		hexxagon
Summary:	Othello clone (GTK version)
Version:	1.0
Release:	%mkrel 2
Url:		http://nesqi.homeip.net/hexxagon/
Source0:	http://nesqi.homeip.net/hexxagon/download/%{name}-%{version}.tar.bz2
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
Group:		Games/Boards
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+1.2-devel
BuildRequires:  gtkmm2.4-devel

%description
Hexxagon is a clone of Hexxagon, an adaptation of
the Othello board game written for DOS.
This is the GTK1 version of Hexxagon.

%prep
%setup -q
%configure 

%build
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}

#install -m755 src/%{name}-gtk/%{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#install -m755 src/%{name}-text/%{name}_text -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}-text

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Boards" title="Hexxagon (GTK)" longtitle="Othello clone" needs="x11"
?package(%{name}): command="%{_gamesbindir}/%{name}" icon="%{name}.png" section="Amusement/Boards" title="Hexxagon (text)" longtitle="Othello clone" needs="text"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README
%{_gamesbindir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/%name

%changelog
* Sun Apr 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-2mdk
- Add BuildRequires

* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 1.0-1mdk
- 1.0

* Sun Apr 03 2005 Michael Scherer <misc@mandrake.org> 0.3.3-2mdk
- Rebuild for readline

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-1mdk
- 0.3.3

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.3.2-2mdk 
- rebuild for new gcc

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-1mdk
- 0.3.2
- drop P0 (fixed upstream)
- bzip2 source
- drop COPYING file as it's GPL

* Sun Nov  16 2003 Olivier Blin <oliv.blin@laposte.net> 0.3.1-1mdk
- initial release
- multline strings patch for gcc 3.3 (patch0)
